edu.isi.pegasus.planner.provenance.pasoa.pps

## Class PPSFactory

- java.lang.Object
- - edu.isi.pegasus.planner.provenance.pasoa.pps.PPSFactory

    public class PPSFactory
    extends java.lang.Object

The factory for instantiating an XMLProducer.

Version:
  $Revision$
Author:
  Karan Vahi

### Field Summary

Fields
`static java.lang.String` `DEFAULT_PACKAGE_NAME` The default package where all the implementations reside.
`static java.lang.String` `DEFAULT_PPS_PROVIDER` The default PPS implementation to be used.
`private static PPS` `mInstance` The singleton instance of the PPS implementation that is returned.
`static java.lang.String` `PASOA_PPS_PROVIDER` The default Pasoa PPS implementation to be used.

### Constructor Summary

Constructors
Constructor and Description
`PPSFactory()`

### Method Summary

All Methods Static Methods Concrete Methods
`static PPS` `loadPPS(PegasusProperties properties)` Loads the appropriate PPS implementation on the basis of the property set in the properties.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DEFAULT_PACKAGE_NAME

    public static final java.lang.String DEFAULT_PACKAGE_NAME

The default package where all the implementations reside.

See Also:
  Constant Field Values

#### DEFAULT_PPS_PROVIDER

    public static final java.lang.String DEFAULT_PPS_PROVIDER

The default PPS implementation to be used.

See Also:
  Constant Field Values

#### PASOA_PPS_PROVIDER

    public static final java.lang.String PASOA_PPS_PROVIDER

The default Pasoa PPS implementation to be used.

See Also:
  Constant Field Values

#### mInstance

    private static PPS mInstance

The singleton instance of the PPS implementation that is returned.

### Constructor Detail

#### PPSFactory

    public PPSFactory()

### Method Detail

#### loadPPS

    public static PPS loadPPS(PegasusProperties properties)
                       throws PPSFactoryException

Loads the appropriate PPS implementation on the basis of the property set in the properties.

Parameters:
  `properties` - the `PegasusProperties` object containing all the properties required by Pegasus.
Returns:
  the instance of the appropriate XML Producer.
Throws:
  `PPSFactoryException` - that nests any error that might occur during the instantiation
See Also:
  `DEFAULT_PACKAGE_NAME`